org.eclipse.ease.ui.scripts.ui

## Class ScriptComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.ease.ui.scripts.ui.ScriptComposite

All Implemented Interfaces:
  Drawable, org.osgi.service.event.EventHandler

    public class ScriptComposite
    extends Composite
    implements org.osgi.service.event.EventHandler

SWT Composite that displays available macros. Implemented as a tree viewer.

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Composite

`embeddedHandle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`handle`

### Constructor Summary

Constructors
Constructor and Description
`ScriptComposite(IScriptEngineProvider engineProvider, IWorkbenchPartSite site, Composite parent, int style)` Constructor creating the script tree viewer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`ISelectionProvider` `getSelectionProvider()` Get the selection provider of this composite.
`void` `handleEvent(org.osgi.service.event.Event event)`
`void` `setDoubleClickListener(IDoubleClickListener doubleClickListener)`
`void` `setEngine(java.lang.String engineID)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

### Constructor Detail

#### ScriptComposite

    public ScriptComposite(IScriptEngineProvider engineProvider,
                           IWorkbenchPartSite site,
                           Composite parent,
                           int style)

Constructor creating the script tree viewer.

Parameters:
  `engineProvider` - component providing script support
  `site` - site to implement this component on
  `parent` - parent SWT element
  `style` - composite style flags

### Method Detail

#### setEngine

    public void setEngine(java.lang.String engineID)

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `Widget`

#### setDoubleClickListener

    public void setDoubleClickListener(IDoubleClickListener doubleClickListener)

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`

#### getSelectionProvider

    public ISelectionProvider getSelectionProvider()

Get the selection provider of this composite.

Returns:
  selection provider instance (might be `null`)